Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3969 - bug #1075 (vtable thunk problems) still present in 6.0
Summary: bug #1075 (vtable thunk problems) still present in 6.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-09 20:24 UTC by collinsr
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-26 21:04:26 UTC


Attachments (Terms of Use)

Description collinsr 1999-07-09 20:24:54 UTC
Per the comment at the end of bug #1075:

>  ------- Additional Comments From jturner@redhat.com
>          06/29/99 13:46 -------
> Are you still seeing this bug with egcs-1.1.2-12
> (distributed with 6.0)?  Reopen this bug if you are
> still seeing these problems.

... the test program included in the bug reports still
generates incorrect output on a RH 6.0 system:

$ uname -a
Linux ba2.cs.rpi.edu 2.2.10 #8 SMP Fri Jun 25 20:01:48 EDT
1999 i686 unknown

$ g++ -v
Reading specs from
/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/specs
gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)

Comment 1 Jim Kingdon 1999-07-26 21:04:59 UTC
If I understand the discussion of bug #1075 correctly, the problem
cannot be solved without changing the C++ ABI (one way or the other,
either to -fno-vtable-thunks, or for the "ABI overhaul" which Jason
referred to on egcs-bugs).  The current plan (and subject to all the
usual disclaimers about we don't preannounce releases or however those
disclaimers go) is that we are not going to change the C++ ABI in
the next release of Red Hat Linux (for example, we will ship
egcs 1.1.2 rather than gcc 2.95).


Note You need to log in before you can comment on or make changes to this bug.